pw_core_info Struct Reference
Core API » Core

The core information. More...

## Data Fields

uint32_t | id
| id of the global More...
uint32_t | cookie
| a random cookie for identifying this instance of PipeWire More...
const char * | user_name
| name of the user that started the core More...
const char * | host_name
| name of the machine the core is running on More...
const char * | version
| version of the core More...
uint64_t | change_mask
| bitfield of changed fields since last call More...

## Detailed Description

The core information.

Extra information may be added in later versions, clients must not assume a constant struct size

## Field Documentation

## id

uint32_t pw_core_info::id

id of the global

## cookie

uint32_t pw_core_info::cookie

a random cookie for identifying this instance of PipeWire

## user_name

const char* pw_core_info::user_name

name of the user that started the core

## host_name

const char* pw_core_info::host_name

name of the machine the core is running on

## version

const char* pw_core_info::version

version of the core

## change_mask

uint64_t pw_core_info::change_mask

bitfield of changed fields since last call

The documentation for this struct was generated from the following file:

- pipewire/core.h